<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:jsf="http://xmlns.jcp.org/jsf"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">
    <h:head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <title>PolarisERP</title>
        <h:outputStylesheet name="semantic-ui/semantic.min.css" />
        <h:outputScript name="jquery-3.1.1.min.js" />
        <h:outputScript name="semantic-ui/semantic.min.js" />
        <link href="#{resource['imagenes/polarislogo.ico']}" rel="shortcut icon" type="image/x-icon" />
    </h:head>
    <h:body>
        <style>
            .landing-image {
                background-image: url('#{resource['imagenes/loginbackground.png']}') !important;
                background-size: cover !important;
            }
            .centrado {
                display: flex;
                justify-content: center;
                align-items: center;
                align-content: center;
                height: 100%;
                position: relative;
                flex-wrap: wrap;                
            }
        </style>
        <div class="centrado" >
            <div class="ui list">
                <div class="item">
                    <div class="ui horizontal segments">
                        <div style="max-width: 250px" class="ui left floated rigth aligned compact segment landing-image">
                            <div style="margin-top: 80px" class="ui right aligned grid">
                                <div class="left floated rigth aligned sixteen wide column">
                                    <h:graphicImage width="230px" library="imagenes" name="tvmaxlogo.png" />
                                    <div style="color: white">CABLE - INTERNET</div>
                                </div>
                            </div>

                        </div>
                        <div  class="ui compact segment">
                            <div class="ui centered grid">
                                <div class="sixteen wide center aligned column">
                                    <h:graphicImage style="padding-top: 20px" width="60px" library="imagenes" name="polarislogo.png"/>
                                    <div style="font-size: x-large">PolarisERP</div>
                                </div>
                            </div>

                            <h:form style="padding-top: 40px; width: 340px" id="form-datos" class="ui form">
                                <div class="field">
                                    <h:inputText id="user" value="#{sessionManBean.ci}" pt:placeholder="Documento" pt:autofocus="true" />
                                </div>
                                <div class="field">
                                    <h:inputSecret id="pass" value="#{sessionManBean.pass}" pt:placeholder="Contraseña" onkeypress="if (event.keyCode === 13) {
                                                document.getElementById('form-datos:btn-ingresar').click();
                                            }"/>
                                </div>
                                <h:commandLink id="btn-ingresar" class="ui fluid blue large button" action="#{sessionManBean.verificarAcceso()}">
                                    INGRESAR
                                    <f:ajax execute="@form" render="tipoMsg msg-login" onevent="function(data){ajaxLogin(data)}" />
                                </h:commandLink>
                            </h:form>
                            <div style="margin-top: 5px;" class="ui centered grid">
                                <div class="sixteen wide center aligned column">
                                    <h:graphicImage width="90px" library="imagenes" name="exabittecnologia.png"/>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <h:form prependId="false" class="item">
                    <div id="msg-status" class="ui hidden error message">
                        <i class="close icon"></i>
                        <div class="header">
                            <h:outputText id="msg-login" value="#{sessionManBean.msg}" />
                        </div>
                    </div>
                    <h:inputHidden id="tipoMsg" value="#{sessionManBean.tipoMsg}" />
                </h:form>
            </div>
        </div>

        <script type="text/javascript">
            $(document).ready(function () {
                $('.message .close').on('click', function () {
                    $(this).closest('.message').transition('fade');
                });
            });
            function ajaxLogin(data) {
                var s = data.status;
                console.log("Status: "+s);
                switch (s) {
                    case 'begin':
                    {                        
                        $('#form-datos\\:btn-ingresar').addClass('disabled');
                        $('#form-datos\\:btn-ingresar').addClass('loading');
                        break;
                    }
                    case 'success':
                    {
                        $('#form-datos\\:btn-ingresar').removeClass('disabled');
                        $('#form-datos\\:btn-ingresar').removeClass('loading');
                        setTipoMsg($("#tipoMsg").val());
                        console.log("tipoMsg es: " + $("#tipoMsg").val());
                        mostrarMsg();
                        if ($("#tipoMsg").val() === "info") {
                            irAIndex();
                        }
                        break;
                    }
                }
            }
            function setTipoMsg(tipo) {
                $("#msg-status").removeClass("info");
                $("#msg-status").removeClass("error");
                $("#msg-status").removeClass("warning");
                $("#msg-status").removeClass("negative");
                $("#msg-status").removeClass("positive");
                $("#msg-status").addClass(tipo);
            }
            function mostrarMsg() {
                if ($('#msg-status').hasClass("hidden")) {
                    $('#msg-status').transition('fade');
                }
            }
            function ocultarMsg() {
                if ($('#msg-status').hasClass("visible")) {
                    $('#msg-status').transition('fade');
                }
            }

            function irAIndex() {
//                var nuevaUrl = window.location.origin + "/PolarisERP-Web/faces/index.xhtml";
                var nuevaUrl = window.location.origin + "#{navegacionManBean.indexUrl}";
                window.location.href = nuevaUrl;
            }
        </script>
    </h:body>
</html>

